Subject: MSRP-10 - Empty Body (was RE: [Simple] Comments to MSRP-10)

From: Eric Burger <[email-masked]>
Date: Mon, 7 Mar 2005 14:05:59 -0500

What does it mean to *receive* a message with an empty body?  Is it:
(1) A null message, like sending a CRLF?
(2) A null message, like a ping?
(3) An error?

I was trying to figure out what the UAS (recipient) behavior should be, but
I found no guidance.  Should the UI present something like:
	Alice: Hi Bob
	Bob:                  <Bob sends an empty body>

Or:
	Alice: Hi Bob
	                      <UI is silent on reception of empty body>

Unless there is a compelling reason not to, I would lean towards the former
behavior.  I could see a theoretical use for a null body in that if I wanted
to do an MSRP 'ping', I could send a null body with Success-Report: Yes.
However, we would need to be clear on the behavior of the recipient.  The
recipient would not display the message, yet generate a success REPORT.

Does anyone NEED such behavior?  If not, let's just define an empty body to
be the same as an empty message and be done with it.

> -----Original Message-----
> From: [email-masked] 
> [mailto:[email-masked]]On Behalf
> Of Miguel Garcia
> Sent: Tuesday, March 01, 2005 9:14 AM
> To: Ben Campbell; Rohan Mahy; Cullen Jennings
> Cc: Simple WG
> Subject: [Simple] Comments to MSRP-10
> 
> 
> I am sending a few comments to version -10 of MSRP. They are mostly 
> editorials.
> 
[snip]
> 
> 2) Section 5.4, 3rd paragraph:
> 
>     "Likewise, the active endpoint MUST immediately issue a 
> SEND request.
>     This initial SEND request MAY have a empty body, or MAY carry
>     content."
> 
> I would like to see some motivational text for such requirement.
[snip]

_______________________________________________
Simple mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/simple

---

From: Paul Kyzivat <[email-masked]>
Date: Mon, 07 Mar 2005 14:36:25 -0500

I think it needs to be (2). There is already a mandated use for this: 
when an MSRP connection is first established there is a requirement to 
send a message over this, with content if you have it, but otherwise 
without content.

Since content can by of any content type, you can't assume that there 
will always be an entry in a text conversation log for every received 
message. Its a no brainer to put in an entry when you receive text. You 
may also put an entry in that log as a placeholder for other content if 
it makes sense. But I think it is quite reasonable that certain content 
types will be used for housekeeping and not be shown at all.

	Paul